package contracts

import "git.fsdpf.net/go/req"

type Captcha interface {
	req.RouteMiddleware
	Verify(answer string, clear bool) error
	Generate(captchaUuid, recipient, ip string, u req.User) (body string, id int64, err error)
}
