package base

type Mqtt struct {
	Uuid         string           `db:"uuid"`
	Code         string           `db:"code"`
	Name         string           `db:"name"`
	ResourceUuid string           `db:"resource_uuid"`
	OwnedUser    string           `db:"owned_user"`
	UpdatedAt    string           `db:"updated_at"`
	CreatedAt    string           `db:"created_at"`
	Enabled      bool             `db:"enabled"`
	Roles        map[string]int64 `db:"roles"`
	Params       []ResApiParam    `db:"params"`
}

type GetMqtt func(code string) (Mqtt, bool)
